<?php
/**
 * Plugin Name:       PDFDraft
 * Plugin URI:        https://pdfdraft.com
 * Description:       Create and export custom PDFs in WordPress with a powerful builder—drag, rotate, scale, and position elements freely.
 * Author:            PDFDraft
 * Author URI:        https://pdfdraft.com
 * Text Domain:       pdfdraft
 * Domain Path:       /languages
 * Version:           1.1.0
 * Requires PHP:      7.4.0
 * Requires at least: 6.4.0
 * License:           GPL-3.0+
 * License URI:       http://www.gnu.org/licenses/gpl-3.0.txt
 *
 * @package           PDFDraft
 */

defined( 'ABSPATH' ) || exit;

use PDFDraft\App;
use PDFDraft\SystemRequirementsChecker;

defined( 'ABSPATH' ) || exit;

require_once __DIR__ . '/configs/constants.php';
require_once __DIR__ . '/src/Config.php';
require_once __DIR__ . '/src/SystemRequirementsChecker.php';

if ( ! ( new SystemRequirementsChecker() )->checkCompatibility() ) {
	return;
}

require_once __DIR__ . '/bootstrap/app.php';

// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedVariableFound -- Plugin bootstrap container.
$app = pdfdraft( App::class );

$app->run();
